#
# spec file for package apache2-mod_security2 (Version 2.5.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           apache2-mod_security2
Version:        2.5.13
Release:        1.1
#
License:        GPL
Group:          Productivity/Networking/Web/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  apache2-devel apache2-prefork libxml2-devel pcre-devel curl-devel gcc-c++
%define apache        apache2
%define modname       mod_security2
%define tarballname   modsecurity-apache_%{version}
#
%define apxs              %{_sbindir}/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_mmn       %(MMN=$(%{apxs} -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
Requires:       apache2 %{apache_mmn}
#
Url:            http://www.modsecurity.org
Source:         http://www.modsecurity.org/download/%{tarballname}.tar.bz2
#
Summary:        ModSecurity Open Source Web Application Firewall

%description
ModSecurity(TM) is an open source intrusion detection and
prevention engine for web applications (or a web application
firewall). Operating as an Apache Web server module or
standalone, the purpose of ModSecurity is to increase web
application security, protecting web applications from known
and unknown attacks.

 Author:
--------
    Ivan Ristic <ivanr@webkreator.com>

%prep
%setup -n %{tarballname}
cd apache2 ; %configure

%build
%{__make} -C apache2

%install
#%makeinstall -C apache2
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p apache2/.libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
%{__install} -D -m 0644 modsecurity.conf-minimal %{buildroot}%{apache_sysconfdir}/conf.d/%{modname}.conf

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-, root, root, 0755)
%{apache_libexecdir}/%{modname}.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf
%doc CHANGES LICENSE modsecurity.conf-minimal README.TXT
%doc doc/ rules/

%changelog
* Sun Apr 10 2011 cs@linux-administrator.com
- update to 2.5.13
* Sat Feb  6 2010 cs@linux-administrator.com
- update to 2.5.12
* Sat Nov  7 2009 cs@linux-administrator.com
- update to 2.5.11
* Thu Mar 12 2009 cs@linux-administrator.com
- update to 2.5.9
* Wed Oct  1 2008 cs@linux-administrator.com
- update to 2.5.7
* Sat Aug  2 2008 cs@linux-administrator.com
- update to 2.5.6
* Fri Jun  6 2008 cs@linux-administrator.com
- update to 2.5.5
* Sat Apr 26 2008 cs@linux-administrator.com
- update to 2.5.3
* Wed Apr 16 2008 cs@linux-administrator.com
- update to 2.5.2
* Wed Apr 16 2008 cs@linux-administrator.com
- update to 2.1.7
* Sun Feb  3 2008 jg@internetx.de
-update to 2.1.6
* Wed Aug  8 2007 mrueckert@suse.de
- update to 2.1.2
* Mon Apr 16 2007 mrueckert@suse.de
- update to 2.1.1
- switched to perl based patching instead of cmdline params for make
* Fri Sep 22 2006 poeml@suse.de
- fix build (./install was vanished)
